> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a candidate



## OpenAPI

````yaml POST /recruitment/v1/candidates
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /recruitment/v1/candidates:
    post:
      tags:
        - Recruitment
      summary: Create a candidate
      operationId: CreateCandidate
      parameters: []
      requestBody:
        description: Candidate object that needs to be created
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                firstName:
                  type: string
                  description: The first name of the candidate
                lastName:
                  type: string
                  description: The last name of the candidate
                email:
                  type: string
                  format: email
                phone:
                  type: string
                  description: The phone number of the candidate
                linkedInURL:
                  type: string
                  description: The LinkedIn URL of the candidate
                desiredSalary:
                  type: string
                  description: The desired salary of the candidate
                startWorkDate:
                  type: string
                  format: date
                  example: '2025-12-01'
                  description: The start work date of the candidate
                web:
                  type: string
                  description: The web of the candidate
                location:
                  type: string
                  description: The location of the candidate
                vacancyId:
                  type: string
                  description: >-
                    The identifier of the vacancy where the candidate will be
                    added
                  format: uuid
                statusId:
                  type: string
                  description: The identifier of the status of the candidate
                  format: uuid
                address:
                  type: string
                  description: The address of the candidate
                comment:
                  type: string
                  description: The description of the candidate
                gender:
                  type: string
                  description: The gender of the candidate
                  enum:
                    - male
                    - female
                    - non_binary_gender
                    - no_response
                referralSource:
                  type: string
                  description: The referral source of the candidate
                  enum:
                    - customer
                    - employee
                    - friendEmployee
                    - other
                    - socialMedia
                referralName:
                  type: string
                  description: The name of the person who referred the candidate
                acceptPool:
                  type: boolean
                  description: Whether the candidate accepts to be in the pool
                  default: false
                checkPolicyPrivacy:
                  type: boolean
                  description: Whether the candidate has accepted the privacy policy
                  default: false
                appliedAt:
                  type: string
                  format: date
                  example: '2025-12-01'
                  description: The date of the application
              required:
                - firstName
                - lastName
                - phone
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      companyId:
                        type: string
                        format: uuid
                      vacancy:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          companyId:
                            type: string
                            format: uuid
                          name:
                            type: string
                          description:
                            type: string
                          contractType:
                            type: string
                          experience:
                            type: string
                            nullable: true
                          createdById:
                            type: string
                            format: uuid
                          status:
                            type: string
                            enum:
                              - open
                              - closed
                              - draft
                          openedAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                          createdAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                          updatedAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                          public:
                            type: boolean
                          locationVacancy:
                            type: object
                            nullable: true
                            properties:
                              id:
                                type: string
                                format: uuid
                              companyId:
                                type: string
                                format: uuid
                              name:
                                type: string
                              createdAt:
                                type: string
                                format: Y-m-dTH:i:sP
                                example: '2020-01-01T10:00:00+01:00'
                          scheduleType:
                            type: object
                            nullable: true
                            properties:
                              id:
                                type: string
                                format: uuid
                              companyId:
                                type: string
                                format: uuid
                              name:
                                type: string
                              createdAt:
                                type: string
                                format: Y-m-dTH:i:sP
                                example: '2020-01-01T10:00:00+01:00'
                          category:
                            type: object
                            nullable: true
                            properties:
                              id:
                                type: string
                                format: uuid
                              companyId:
                                type: string
                                format: uuid
                              name:
                                type: string
                              createdAt:
                                type: string
                                format: Y-m-dTH:i:sP
                                example: '2020-01-01T10:00:00+01:00'
                          officeIds:
                            type: array
                            items:
                              type: string
                              format: uuid
                          departmentIds:
                            type: array
                            items:
                              type: string
                              format: uuid
                          evaluationId:
                            type: string
                            format: uuid
                            nullable: true
                      vacancyId:
                        type: string
                        format: uuid
                      firstName:
                        type: string
                      lastName:
                        type: string
                      email:
                        type: string
                      phone:
                        type: string
                      type:
                        type: string
                      statusId:
                        type: string
                        format: uuid
                      status:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                          companyId:
                            type: string
                            format: uuid
                          order:
                            type: integer
                          createdAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                          updatedAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                          vacancyId:
                            type: string
                            format: uuid
                      linkedInURL:
                        type: string
                      desiredSalary:
                        type: string
                      startWorkDate:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      evaluation:
                        type: integer
                      web:
                        type: string
                      location:
                        type: string
                      hasDocument:
                        type: boolean
                      comment:
                        type: string
                      appliedAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      threadId:
                        type: string
                        format: uuid
                      lastComment:
                        type: object
                      numComments:
                        type: integer
                      imageProfileURL:
                        type: string
                      checklist:
                        type: object
                      createdAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      updatedAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      employeeId:
                        type: string
                        format: uuid
                      acceptPool:
                        type: boolean
                      checkPolicyPrivacy:
                        type: boolean
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````